HORIZON-IMP(1)

NAME
horizon-imp - horizon EDA interactive manipulator

SYNOPSIS
horizon-imp -y <symbol file> | -c <schematic file> <block file> | -a <padstack file> | -k <package file> | -b <board file> <block file> <via directory>

DESCRIPTION
This manual page documents the horizon-imp command.

horizon-imp is the 'interactive manipulator' and can be run in one of 5 modes, each operating on a different type of item: symbol, schematic, padstack, package or board.

OPTIONS
Details of options are included below.

-y <symbol file>
    Run in Symbol mode:

-c <schematic file> <block file>
    Run in Schematic mode

-a <padstack file>
    Run in Padstack mode

-k <package file>
    Run in Package mode

-b <board file <block file> <via directory>
    Run in Board mode

USAGE
There is normally little reason to run this command directly. Normally horizon-prj-mgr and horizon-pool-mgr are used. But it remains useful for debugging.

ENVIRONMENT
This command requires the environment variable HORIZON_POOL to point to the pool's directory (the one with the pool.json and pool.db in it)